package com.slodon.b2b2c.vo.goods;

import com.slodon.b2b2c.goods.pojo.GoodsCategory;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 封装商户端商品分类列表VO对象
 */
@Data
public class SellerGoodsCategoryVO {

    @ApiModelProperty("分类id")
    private Integer categoryId;

    @ApiModelProperty("分类名称")
    private String categoryName;

    @ApiModelProperty("父类ID")
    private Integer pid;

    @ApiModelProperty("分类级别: 1-一级，2-二级，3-三级")
    private Integer grade;

    public SellerGoodsCategoryVO(GoodsCategory category) {
        this.categoryId = category.getCategoryId();
        this.categoryName = category.getCategoryName();
        this.pid = category.getPid();
        this.grade = category.getGrade();
    }

}